package io.tswf.transmutations.transmute.injection.missing.logic

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.transmutations.transmute.injection.missing.IMissingTargetStrategyLogic
import io.tswf.transmutations.transmute.injection.missing.MissingTargetHandleContext
import io.tswf.transmutations.transmute.meta.MissingTargetStrategy

@AutoService(IMissingTargetStrategyLogic)
@CompileStatic
class SkipMissingTargetStrategyLogic implements IMissingTargetStrategyLogic {

    @Override
    void handleMissingTarget(MissingTargetHandleContext context) {
        // Nope!
    }

    @Override
    MissingTargetStrategy getEnumValue() {
        return MissingTargetStrategy.SKIP
    }
}
