package io.tswf.transmutations.transmute.injection.reader

import groovy.transform.CompileStatic
import io.tswf.transmutations.transmute.meta.TransmutationMethodMetadata
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import org.objectweb.asm.Type

interface ICustomParameterLoaderReader {
    void handleLoaderSearch(CustomParameterLoaderReadingContext readingContext)
}

@CheckedMapConstructor
@CompileStatic
class CustomParameterLoaderReadingContext {
    int parameterIndex
    Type parameterType
    TransmutationMethodMetadata transmutationMetadata
    boolean completed = false
}