package io.tswf.transmutations.transmute.injection.reader

import groovy.transform.CompileStatic
import io.tswf.transmutations.transmute.meta.TransmutationMethodMetadata
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor

interface IPostInjectionHooksReader {
    void handlePostInjectionHooksReading(PostInjectionHooksReadingContext readingContext)   
}

@CheckedMapConstructor
@CompileStatic
class PostInjectionHooksReadingContext {
    TransmutationMethodMetadata transmutationMetadata
}