package io.tswf.transmutations.transmute.meta

import groovy.transform.CompileStatic
import io.tswf.transmutations.transmute.injection.contexts.InjectionOffset
import io.tswf.transmutations.transmute.injection.points.ITransmutationInjectionPoint
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor

@CheckedMapConstructor
@CompileStatic
class TransmutationMethodInjectionPointMetadata {
    InjectionOffset injectionOffset
    ITransmutationInjectionPoint injectionPoint
    int skip
    TransmutationMethodInjectionPointMetadata parent = null
}
